LINUX.ORG.RU

Гентушники, помогите


0

0

В последнее время странные вещи творятся...
Сижу я на ~x86 и что-то чересчур много глюков всплыло. Раньше такого никогда не было. Во-первых уже черт знает сколько при emerge --deep --update world вылезает такой конфликт:
[ebuild U ] dev-libs/boost-1.34.0 [1.33.1-r1] USE="icu -debug -doc -pyste -tools% (-bcp%) (-bjam%) (-threads%*) (-threadsonly%)" 0 kB
[ebuild N ] dev-util/boost-build-1.34.0 0 kB
[blocks B ] <dev-libs/boost-1.34.0 (is blocking dev-util/boost-build-1.34.0)
Во-вторых: последние версии alsa-lib и ffmpeg сломаны напрочь, половина прог, их использующих, не могут их нормально использовать. vlc так вообще в недееспособного инвалида превратился.

Я вот не пойму, это у всех так, или я что-то сильно недопонимаю и у меня кривые руки? Единственное, что я изменял в последнее время, так это выкинул -fomit-frame-pointer из CXXFLAGS, оставив его в CFLAGS. (Ибо тут проскакивали утверждения, что мол -fomit-frame-pointer притормаживает c++).

Deleted

Re: Гентушники, помогите

> [blocks B ] <dev-libs/boost-1.34.0 (is blocking dev-util/boost-build-1.34.0)

Надо перед emerge --deep --update сделать emerge -C boost.

ero-sennin ★★ ()

Re: Гентушники, помогите

ненадо сидеть на ~*
[blocks B ] -- всё развивается, функционал одного включают в другое, что то устаревает, как в своё время coldblug и hotplug отдельными портами

timth ★☆ ()

Re: Гентушники, помогите

> последние версии alsa-lib и ffmpeg сломаны напрочь

В чём это проявляется, если не секрет?

ffmpeg так ругается?

Compiler did not align stack variables. Libavcodec has been miscompiled
and may be very slow or crash. This is not a bug in libavcodec,
but in the compiler. Do not report crashes to FFmpeg developers.
Press [q] to stop encoding

BigBiker ()
Ответ на: Re: Гентушники, помогите от BigBiker

Re: Гентушники, помогите

Нет. wine и vlc просто отказываются воспроизводить звук через alsa, даже после пересборки. Ругаются на unresolved symbols. vlc также не может воспроизводить divx и xvid, ни на что не ругается, просто говорит, что не может найти подходящего кодека. А gnash с новым ffmpeg не собирается вообще, сваливается с кучей ошибок при компиляции.

Deleted ()

Re: Гентушники, помогите

не уверен. то, что с 2.6.21.5 в ядре "провалили" OSS - это очевидно. На арче сегодня собрал mplayer со всеми кодеками (редко когда такая удачная сборка получается) + ffmpeg. в ffmpeg-е зопа при --enable-gprof полная, но кроме этого всё в порядке (вроде). а вот vlc всегда "славился" мерзким кодом - так что не удивительно. alsa-lib-32 на x86-64 не так давно вообще "положили" вывод всех 32-ух битных (типа realplay) в /dev/null.

а то, что:
>>половина прог, их использующих, не могут их нормально использовать
так IMHO - ребята как развиваются активно... там тонны изменений практически каждый день...

sda00 ★★★ ()
Ответ на: Re: Гентушники, помогите от Deleted

Re: Гентушники, помогите

Что-то мне подсказывает, что боевая мантра "revdep-rebuild", или как-то очень похоже, может вам помочь..

brumal ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.